Functions
Configuration functions
Peripheral Driver » LL Driver » PKC » Functions
Collaboration diagram for Configuration functions:

## Functions
__STATIC_INLINE void | ll_pkc_enable (pkc_regs_t *PKCx)
| Enable pkc. More...
__STATIC_INLINE void | ll_pkc_disable (pkc_regs_t *PKCx)
| Disable pkc. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled (pkc_regs_t *PKCx)
| Indicate whether the pkc is enabled. More...
__STATIC_INLINE void | ll_pkc_enable_hardware_start (pkc_regs_t *PKCx)
| Enable pkc start in hardware mode. More...
__STATIC_INLINE void | ll_pkc_disable_hardware_start (pkc_regs_t *PKCx)
| Disable pkc start in hardware mode. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled_hardware_start (pkc_regs_t *PKCx)
| Indicate whether the pkc start in hardware mode is enabled. More...
__STATIC_INLINE void | ll_pkc_enable_software (pkc_regs_t *PKCx)
| Enable pkc software mode. More...
__STATIC_INLINE void | ll_pkc_disable_software (pkc_regs_t *PKCx)
| Disable pkc software mode. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled_software (pkc_regs_t *PKCx)
| Indicate whether the pkc software mode is enabled. More...
__STATIC_INLINE void | ll_pkc_enable_reset (pkc_regs_t *PKCx)
| Enable pkc reset. More...
__STATIC_INLINE void | ll_pkc_disable_reset (pkc_regs_t *PKCx)
| Disable pkc reset. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled_reset (pkc_regs_t *PKCx)
| Indicate whether the pkc reset is enabled. More...
__STATIC_INLINE void | ll_pkc_set_k_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter k pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_k_pointer (pkc_regs_t *PKCx)
| Get PKC parameter k pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter r pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r_pointer (pkc_regs_t *PKCx)
| Get PKC parameter r pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_p_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter p pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_p_pointer (pkc_regs_t *PKCx)
| Get PKC parameter p pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_rsq_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R^2 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_rsq_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R^2 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_gx_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Gx pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_gx_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Gx pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_gy_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Gy pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_gy_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Gy pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_gz_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Gz pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_gz_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Gz pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r0x_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R0x pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r0x_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R0x pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r0y_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R0y pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r0y_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R0y pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r0z_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R0z pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r0z_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R0z pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r1x_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R1x pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r1x_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R1x pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r1y_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R1y pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r1y_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R1y pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_r1z_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter R1z pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_r1z_pointer (pkc_regs_t *PKCx)
| Get PKC parameter R1z pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmp1_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Tmp1 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmp1_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Tmp1 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmp2_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Tmp2 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmp2_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Tmp2 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmp3_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Tmp3 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmp3_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Tmp3 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmp4_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Tmp4 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmp4_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Tmp4 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmp5_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Tmp5 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmp5_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Tmp5 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmp6_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Tmp6 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmp6_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Tmp6 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_constant1_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter Constant1 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_constant1_pointer (pkc_regs_t *PKCx)
| Get PKC parameter Constant1 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_x1_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter X1 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_x1_pointer (pkc_regs_t *PKCx)
| Get PKC parameter X1 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_x2_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter X2 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_x2_pointer (pkc_regs_t *PKCx)
| Get PKC parameter X2 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mitmp_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter MITmp pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mitmp_pointer (pkc_regs_t *PKCx)
| Get PKC parameter MITmp pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_tmpk_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set PKC parameter TmpK pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_tmpk_pointer (pkc_regs_t *PKCx)
| Get PKC parameter TmpK pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_ecc_a_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set ECC parameter A pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_ecc_a_pointer (pkc_regs_t *PKCx)
| Get ECC parameter A pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_ecc_b_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set ECC parameter B pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_ecc_b_pointer (pkc_regs_t *PKCx)
| Get ECC parameter B pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_constp (pkc_regs_t *PKCx, uint32_t ConstP)
| Set constant value for montgomery multiply in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_constp (pkc_regs_t *PKCx)
| Get constant value for montgomery multiply in pkc sram. More...
__STATIC_INLINE void | ll_pkc_enable_software_start (pkc_regs_t *PKCx)
| Enable pkc start in software mode. More...
__STATIC_INLINE void | ll_pkc_disable_software_start (pkc_regs_t *PKCx)
| Disable pkc start in software mode. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled_software_start (pkc_regs_t *PKCx)
| Indicate whether the pkc start in software mode is enabled. More...
__STATIC_INLINE void | ll_pkc_set_operation_mode (pkc_regs_t *PKCx, uint32_t operation_mode)
| Set operation mode in software mode. More...
__STATIC_INLINE uint32_t | ll_pkc_get_operation_mode (pkc_regs_t *PKCx)
| Get operation mode in software mode. More...
__STATIC_INLINE void | ll_pkc_enable_dummy_multi (pkc_regs_t *PKCx)
| Enable Dummy Multi in software mode. More...
__STATIC_INLINE void | ll_pkc_disable_dummy_multi (pkc_regs_t *PKCx)
| Disable Dummy Multi in software mode. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled_dummy_multi (pkc_regs_t *PKCx)
| Indicate whether the Dummy Multi in software mode is enabled. More...
__STATIC_INLINE void | ll_pkc_enable_random_clock_gating (pkc_regs_t *PKCx)
| Enable Random Clock Gating in software mode. More...
__STATIC_INLINE void | ll_pkc_disable_random_clock_gating (pkc_regs_t *PKCx)
| Disable Random Clock Gating in software mode. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enabled_random_clock_gating (pkc_regs_t *PKCx)
| Indicate whether the Random Clock Gating in software mode is enabled. More...
__STATIC_INLINE void | ll_pkc_set_mm_a_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular multiplication parameter A pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mm_a_pointer (pkc_regs_t *PKCx)
| Get modular multiplication parameter A pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mm_b_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular multiplication parameter B pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mm_b_pointer (pkc_regs_t *PKCx)
| Get modular multiplication parameter B pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mm_p_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular multiplication parameter P pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mm_p_pointer (pkc_regs_t *PKCx)
| Get modular multiplication parameter P pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mm_c_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular multiplication parameter C pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mm_c_pointer (pkc_regs_t *PKCx)
| Get modular multiplication parameter C pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mas_a_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular add/sub parameter A pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mas_a_pointer (pkc_regs_t *PKCx)
| Get modular add/sub parameter A pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mas_b_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular add/sub parameter B pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mas_b_pointer (pkc_regs_t *PKCx)
| Get modular add/sub parameter B pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mas_p_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular add/sub parameter P pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mas_p_pointer (pkc_regs_t *PKCx)
| Get modular add/sub parameter P pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mas_c_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular add/sub parameter C pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mas_c_pointer (pkc_regs_t *PKCx)
| Get modular add/sub parameter C pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mi_u_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular invertion parameter U pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mi_u_pointer (pkc_regs_t *PKCx)
| Get modular invertion parameter U pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mi_v_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular invertion parameter V pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mi_v_pointer (pkc_regs_t *PKCx)
| Get modular invertion parameter V pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mi_x1_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular invertion parameter X1 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mi_x1_pointer (pkc_regs_t *PKCx)
| Get modular invertion parameter X1 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_mi_x2_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular invertion parameter X1 pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mi_x2_pointer (pkc_regs_t *PKCx)
| Get modular invertion parameter X1 pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_swmi_tmp_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set modular invertion parameter Tmp pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_swmi_tmp_pointer (pkc_regs_t *PKCx)
| Get modular invertion parameter Tmp pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_operation_word_length (pkc_regs_t *PKCx, uint32_t WordLength)
| Set operation word length-bits. More...
__STATIC_INLINE uint32_t | ll_pkc_get_operation_word_length (pkc_regs_t *PKCx)
| Get operation word length-bits. More...
__STATIC_INLINE uint32_t | ll_pkc_get_mik_output (pkc_regs_t *PKCx)
| Get K output in invertion operation. More...
__STATIC_INLINE void | ll_pkc_set_dummy_multiply_seed (pkc_regs_t *PKCx, uint32_t seed)
| Set dummy multiply seed. More...
__STATIC_INLINE uint32_t | ll_pkc_get_dummy_multiply_seed (pkc_regs_t *PKCx)
| Get dummy multiply seed. More...
__STATIC_INLINE void | ll_pkc_set_bm_a_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set big integer operand A pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_bm_a_pointer (pkc_regs_t *PKCx)
| Get big integer operand A pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_bm_b_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set big integer operand B pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_bm_b_pointer (pkc_regs_t *PKCx)
| Get big integer operand B pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_bm_c_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set big integer result C pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_bm_c_pointer (pkc_regs_t *PKCx)
| Get big integer result C pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_ba_a_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set big integer operand A pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_ba_a_pointer (pkc_regs_t *PKCx)
| Get big integer operand A pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_ba_b_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set big integer operand B pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_ba_b_pointer (pkc_regs_t *PKCx)
| Get big integer operand B pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_ba_c_pointer (pkc_regs_t *PKCx, uint32_t pointer)
| Set big integer result C pointer in pkc sram. More...
__STATIC_INLINE uint32_t | ll_pkc_get_ba_c_pointer (pkc_regs_t *PKCx)
| Get big integer result C pointer in pkc sram. More...
__STATIC_INLINE void | ll_pkc_set_random_clock_gating_seed (pkc_regs_t *PKCx, uint32_t seed)
| Set random clock gating seed. More...
__STATIC_INLINE uint32_t | ll_pkc_get_random_clock_gating_seed (pkc_regs_t *PKCx)
| Get random clock gating seed. More...

## Detailed Description

## Function Documentation

## ◆ ll_pkc_disable()

__STATIC_INLINE void ll_pkc_disable | ( | pkc_regs_t * | PKCx | ) |

Disable pkc.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | EN | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 306 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_dummy_multi()

__STATIC_INLINE void ll_pkc_disable_dummy_multi | ( | pkc_regs_t * | PKCx | ) |

Disable Dummy Multi in software mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CTRL | STARTDM | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 1699 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_hardware_start()

__STATIC_INLINE void ll_pkc_disable_hardware_start | ( | pkc_regs_t * | PKCx | ) |

Disable pkc start in hardware mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | START | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 363 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_random_clock_gating()

__STATIC_INLINE void ll_pkc_disable_random_clock_gating | ( | pkc_regs_t * | PKCx | ) |

Disable Random Clock Gating in software mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CTRL | RANDEN | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 1756 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_reset()

__STATIC_INLINE void ll_pkc_disable_reset | ( | pkc_regs_t * | PKCx | ) |

Disable pkc reset.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | SWRST | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 477 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_software()

__STATIC_INLINE void ll_pkc_disable_software | ( | pkc_regs_t * | PKCx | ) |

Disable pkc software mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | SWCTRL | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 420 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_software_start()

__STATIC_INLINE void ll_pkc_disable_software_start | ( | pkc_regs_t * | PKCx | ) |

Disable pkc start in software mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CTRL | OPSTART | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 1587 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable()

__STATIC_INLINE void ll_pkc_enable | ( | pkc_regs_t * | PKCx | ) |

Enable pkc.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | EN | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 287 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_dummy_multi()

__STATIC_INLINE void ll_pkc_enable_dummy_multi | ( | pkc_regs_t * | PKCx | ) |

Enable Dummy Multi in software mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CTRL | STARTDM | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 1680 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_hardware_start()

__STATIC_INLINE void ll_pkc_enable_hardware_start | ( | pkc_regs_t * | PKCx | ) |

Enable pkc start in hardware mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | START | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 344 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_random_clock_gating()

__STATIC_INLINE void ll_pkc_enable_random_clock_gating | ( | pkc_regs_t * | PKCx | ) |

Enable Random Clock Gating in software mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CTRL | RANDEN | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 1737 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_reset()

__STATIC_INLINE void ll_pkc_enable_reset | ( | pkc_regs_t * | PKCx | ) |

Enable pkc reset.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | SWRST | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 458 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_software()

__STATIC_INLINE void ll_pkc_enable_software | ( | pkc_regs_t * | PKCx | ) |

Enable pkc software mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | SWCTRL | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 401 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_software_start()

__STATIC_INLINE void ll_pkc_enable_software_start | ( | pkc_regs_t * | PKCx | ) |

Enable pkc start in software mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CTRL | OPSTART | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  None |

Definition at line 1568 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_ba_a_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_ba_a_pointer | ( | pkc_regs_t * | PKCx | ) |

Get big integer operand A pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG11 | BAAPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FF

Definition at line 2535 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_ba_b_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_ba_b_pointer | ( | pkc_regs_t * | PKCx | ) |

Get big integer operand B pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG12 | BABPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FF

Definition at line 2574 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_ba_c_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_ba_c_pointer | ( | pkc_regs_t * | PKCx | ) |

Get big integer result C pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG12 | BACPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FF

Definition at line 2613 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_bm_a_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_bm_a_pointer | ( | pkc_regs_t * | PKCx | ) |

Get big integer operand A pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG10 | BMAPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FF

Definition at line 2418 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_bm_b_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_bm_b_pointer | ( | pkc_regs_t * | PKCx | ) |

Get big integer operand B pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG10 | BMBPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FF

Definition at line 2457 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_bm_c_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_bm_c_pointer | ( | pkc_regs_t * | PKCx | ) |

Get big integer result C pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG11 | BMCPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FF

Definition at line 2496 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_constant1_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_constant1_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Constant1 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG9 | CONST1PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1276 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_constp()

__STATIC_INLINE uint32_t ll_pkc_get_constp | ( | pkc_regs_t * | PKCx | ) |

Get constant value for montgomery multiply in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG13 | CONSTP | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1549 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_dummy_multiply_seed()

__STATIC_INLINE uint32_t ll_pkc_get_dummy_multiply_seed | ( | pkc_regs_t * | PKCx | ) |

Get dummy multiply seed.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG9 | DMRNGSEED | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0xFFFFFFFF

Definition at line 2379 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_ecc_a_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_ecc_a_pointer | ( | pkc_regs_t * | PKCx | ) |

Get ECC parameter A pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG12 | APTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1471 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_ecc_b_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_ecc_b_pointer | ( | pkc_regs_t * | PKCx | ) |

Get ECC parameter B pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG12 | BPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1510 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_gx_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_gx_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Gx pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG2 | GXPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 691 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_gy_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_gy_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Gy pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG2 | GYPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 730 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_gz_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_gz_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Gz pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG3 | GZPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 769 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_k_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_k_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter k pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG0 | KPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 535 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mas_a_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mas_a_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular add/sub parameter A pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG2 | MASAPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1970 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mas_b_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mas_b_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular add/sub parameter B pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG2 | MASBPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 2009 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mas_c_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mas_c_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular add/sub parameter C pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG3 | MASCPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 2087 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mas_p_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mas_p_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular add/sub parameter P pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG3 | MASPPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 2048 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mi_u_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mi_u_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular invertion parameter U pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG4 | MIUPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 2126 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mi_v_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mi_v_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular invertion parameter V pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG4 | MIVPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 2165 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mi_x1_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mi_x1_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular invertion parameter X1 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG5 | MIX1PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 2204 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mi_x2_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mi_x2_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular invertion parameter X1 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG5 | MIX2PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 2243 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mik_output()

__STATIC_INLINE uint32_t ll_pkc_get_mik_output | ( | pkc_regs_t * | PKCx | ) |

Get K output in invertion operation.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG8 | MIKOUT | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x1FFF

Definition at line 2340 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mitmp_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mitmp_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter MITmp pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG11 | MITMPPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1393 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mm_a_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mm_a_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular multiplication parameter A pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG0 | MMAPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1814 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mm_b_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mm_b_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular multiplication parameter B pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG0 | MMBPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1853 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mm_c_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mm_c_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular multiplication parameter C pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG1 | MMCPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1931 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_mm_p_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_mm_p_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular multiplication parameter P pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG1 | MMPPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1892 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_operation_mode()

__STATIC_INLINE uint32_t ll_pkc_get_operation_mode | ( | pkc_regs_t * | PKCx | ) |

Get operation mode in software mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CTRL | OPMODE | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value can be one of the following values: LL_PKC_operation_mode_MULTIPLY LL_PKC_operation_mode_INVERTION LL_PKC_operation_mode_ADD LL_PKC_operation_mode_SUB LL_PKC_operation_mode_COMPARE LL_PKC_operation_mode_LEFTSHIFT LL_PKC_operation_mode_BIGINTEGERMULTIPLY LL_PKC_operation_mode_BIGINTEGERADD

Definition at line 1661 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_operation_word_length()

__STATIC_INLINE uint32_t ll_pkc_get_operation_word_length | ( | pkc_regs_t * | PKCx | ) |

Get operation word length-bits.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG7 | WORDLEN | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 256 ~ 2048

Definition at line 2321 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_p_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_p_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter p pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG1 | PPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 613 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r0x_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r0x_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R0x pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG3 | R0XPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 808 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r0y_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r0y_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R0y pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG4 | R0YPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 847 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r0z_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r0z_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R0z pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG4 | R0ZPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 886 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r1x_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r1x_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R1x pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG5 | R1XPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 925 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r1y_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r1y_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R1y pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG5 | R1YPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 964 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r1z_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r1z_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R1z pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG6 | R1ZPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1003 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_r_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_r_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter r pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG0 | RPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 574 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_random_clock_gating_seed()

__STATIC_INLINE uint32_t ll_pkc_get_random_clock_gating_seed | ( | pkc_regs_t * | PKCx | ) |

Get random clock gating seed.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG13 | RANDSEED | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0xFFFFFFFF

Definition at line 2652 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_rsq_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_rsq_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter R^2 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG1 | RSQPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 652 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_swmi_tmp_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_swmi_tmp_pointer | ( | pkc_regs_t * | PKCx | ) |

Get modular invertion parameter Tmp pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG6 | MITMPPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 2282 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmp1_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmp1_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Tmp1 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG6 | TMP1PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1042 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmp2_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmp2_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Tmp2 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG7 | TMP2PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1081 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmp3_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmp3_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Tmp3 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG7 | TMP3PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1120 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmp4_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmp4_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Tmp4 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG8 | TMP4PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1159 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmp5_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmp5_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Tmp5 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG8 | TMP5PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1198 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmp6_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmp6_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter Tmp6 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG9 | TMP6PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1237 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_tmpk_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_tmpk_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter TmpK pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG11 | TMPKPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1432 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_x1_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_x1_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter X1 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG10 | X1PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1315 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_get_x2_pointer()

__STATIC_INLINE uint32_t ll_pkc_get_x2_pointer | ( | pkc_regs_t * | PKCx | ) |

Get PKC parameter X2 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG10 | X2PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  Return | value is between: 0 ~ 0x200

Definition at line 1354 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled()

__STATIC_INLINE uint32_t ll_pkc_is_enabled | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the pkc is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | EN | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 325 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled_dummy_multi()

__STATIC_INLINE uint32_t ll_pkc_is_enabled_dummy_multi | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the Dummy Multi in software mode is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CTRL | STARTDM | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 1718 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled_hardware_start()

__STATIC_INLINE uint32_t ll_pkc_is_enabled_hardware_start | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the pkc start in hardware mode is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | START | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 382 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled_random_clock_gating()

__STATIC_INLINE uint32_t ll_pkc_is_enabled_random_clock_gating | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the Random Clock Gating in software mode is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CTRL | RANDEN | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 1775 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled_reset()

__STATIC_INLINE uint32_t ll_pkc_is_enabled_reset | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the pkc reset is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | SWRST | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 496 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled_software()

__STATIC_INLINE uint32_t ll_pkc_is_enabled_software | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the pkc software mode is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | SWCTRL | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 439 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enabled_software_start()

__STATIC_INLINE uint32_t ll_pkc_is_enabled_software_start | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the pkc start in software mode is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CTRL | OPSTART | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 1606 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_ba_a_pointer()

__STATIC_INLINE void ll_pkc_set_ba_a_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set big integer operand A pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG11 | BAAPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter can be one of the following values: 0 ~ 0x1FF

Return values

  None |

Definition at line 2516 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_ba_b_pointer()

__STATIC_INLINE void ll_pkc_set_ba_b_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set big integer operand B pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG12 | BABPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter can be one of the following values: 0 ~ 0x1FF

Return values

  None |

Definition at line 2555 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_ba_c_pointer()

__STATIC_INLINE void ll_pkc_set_ba_c_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set big integer result C pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG12 | BACPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter can be one of the following values: 0 ~ 0x1FF

Return values

  None |

Definition at line 2594 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_bm_a_pointer()

__STATIC_INLINE void ll_pkc_set_bm_a_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set big integer operand A pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG10 | BMAPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter can be one of the following values: 0 ~ 0x1FF

Return values

  None |

Definition at line 2399 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_bm_b_pointer()

__STATIC_INLINE void ll_pkc_set_bm_b_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set big integer operand B pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG10 | BMBPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter can be one of the following values: 0 ~ 0x1FF

Return values

  None |

Definition at line 2438 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_bm_c_pointer()

__STATIC_INLINE void ll_pkc_set_bm_c_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set big integer result C pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG11 | BMCPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter can be one of the following values: 0 ~ 0x1FF

Return values

  None |

Definition at line 2477 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_constant1_pointer()

__STATIC_INLINE void ll_pkc_set_constant1_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Constant1 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG9 | CONST1PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1257 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_constp()

__STATIC_INLINE void ll_pkc_set_constp | ( | pkc_regs_t * | PKCx,
|  | uint32_t | ConstP
| ) |  |

Set constant value for montgomery multiply in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG13 | CONSTP | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  ConstP | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1530 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_dummy_multiply_seed()

__STATIC_INLINE void ll_pkc_set_dummy_multiply_seed | ( | pkc_regs_t * | PKCx,
|  | uint32_t | seed
| ) |  |

Set dummy multiply seed.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG9 | DMRNGSEED | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  seed | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 2360 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_ecc_a_pointer()

__STATIC_INLINE void ll_pkc_set_ecc_a_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set ECC parameter A pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG12 | APTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1452 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_ecc_b_pointer()

__STATIC_INLINE void ll_pkc_set_ecc_b_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set ECC parameter B pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG12 | BPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1491 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_gx_pointer()

__STATIC_INLINE void ll_pkc_set_gx_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Gx pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG2 | GXPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 672 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_gy_pointer()

__STATIC_INLINE void ll_pkc_set_gy_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Gy pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG2 | GYPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 711 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_gz_pointer()

__STATIC_INLINE void ll_pkc_set_gz_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Gz pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG3 | GZPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 750 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_k_pointer()

__STATIC_INLINE void ll_pkc_set_k_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter k pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG0 | KPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 516 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mas_a_pointer()

__STATIC_INLINE void ll_pkc_set_mas_a_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular add/sub parameter A pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG2 | MASAPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1951 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mas_b_pointer()

__STATIC_INLINE void ll_pkc_set_mas_b_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular add/sub parameter B pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG2 | MASBPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1990 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mas_c_pointer()

__STATIC_INLINE void ll_pkc_set_mas_c_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular add/sub parameter C pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG3 | MASCPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 2068 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mas_p_pointer()

__STATIC_INLINE void ll_pkc_set_mas_p_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular add/sub parameter P pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG3 | MASPPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 2029 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mi_u_pointer()

__STATIC_INLINE void ll_pkc_set_mi_u_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular invertion parameter U pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG4 | MIUPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 2107 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mi_v_pointer()

__STATIC_INLINE void ll_pkc_set_mi_v_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular invertion parameter V pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG4 | MIVPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 2146 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mi_x1_pointer()

__STATIC_INLINE void ll_pkc_set_mi_x1_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular invertion parameter X1 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG5 | MIX1PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 2185 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mi_x2_pointer()

__STATIC_INLINE void ll_pkc_set_mi_x2_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular invertion parameter X1 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG5 | MIX2PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 2224 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mitmp_pointer()

__STATIC_INLINE void ll_pkc_set_mitmp_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter MITmp pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG11 | MITMPPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1374 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mm_a_pointer()

__STATIC_INLINE void ll_pkc_set_mm_a_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular multiplication parameter A pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG0 | MMAPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1795 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mm_b_pointer()

__STATIC_INLINE void ll_pkc_set_mm_b_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular multiplication parameter B pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG0 | MMBPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1834 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mm_c_pointer()

__STATIC_INLINE void ll_pkc_set_mm_c_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular multiplication parameter C pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG1 | MMCPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1912 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_mm_p_pointer()

__STATIC_INLINE void ll_pkc_set_mm_p_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular multiplication parameter P pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG1 | MMPPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1873 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_operation_mode()

__STATIC_INLINE void ll_pkc_set_operation_mode | ( | pkc_regs_t * | PKCx,
|  | uint32_t | operation_mode
| ) |  |

Set operation mode in software mode.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CTRL | OPMODE | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  operation_mode | This parameter can be one of the following values: LL_PKC_operation_mode_MULTIPLY LL_PKC_operation_mode_INVERTION LL_PKC_operation_mode_ADD LL_PKC_operation_mode_SUB LL_PKC_operation_mode_COMPARE LL_PKC_operation_mode_LEFTSHIFT LL_PKC_operation_mode_BIGINTEGERMULTIPLY LL_PKC_operation_mode_BIGINTEGERADD

Return values

  None |

Definition at line 1634 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_operation_word_length()

__STATIC_INLINE void ll_pkc_set_operation_word_length | ( | pkc_regs_t * | PKCx,
|  | uint32_t | WordLength
| ) |  |

Set operation word length-bits.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG7 | WORDLEN | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  WordLength | This parameter can be one of the following values: 256 ~ 2048

Return values

  None |

Definition at line 2302 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_p_pointer()

__STATIC_INLINE void ll_pkc_set_p_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter p pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG1 | PPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 594 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r0x_pointer()

__STATIC_INLINE void ll_pkc_set_r0x_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R0x pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG3 | R0XPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 789 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r0y_pointer()

__STATIC_INLINE void ll_pkc_set_r0y_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R0y pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG4 | R0YPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 828 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r0z_pointer()

__STATIC_INLINE void ll_pkc_set_r0z_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R0z pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG4 | R0ZPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 867 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r1x_pointer()

__STATIC_INLINE void ll_pkc_set_r1x_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R1x pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG5 | R1XPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 906 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r1y_pointer()

__STATIC_INLINE void ll_pkc_set_r1y_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R1y pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG5 | R1YPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 945 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r1z_pointer()

__STATIC_INLINE void ll_pkc_set_r1z_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R1z pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG6 | R1ZPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 984 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_r_pointer()

__STATIC_INLINE void ll_pkc_set_r_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter r pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG0 | RPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 555 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_random_clock_gating_seed()

__STATIC_INLINE void ll_pkc_set_random_clock_gating_seed | ( | pkc_regs_t * | PKCx,
|  | uint32_t | seed
| ) |  |

Set random clock gating seed.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG13 | RANDSEED | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  seed | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 2633 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_rsq_pointer()

__STATIC_INLINE void ll_pkc_set_rsq_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter R^2 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG1 | RSQPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 633 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_swmi_tmp_pointer()

__STATIC_INLINE void ll_pkc_set_swmi_tmp_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set modular invertion parameter Tmp pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SW_CONFIG6 | MITMPPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 2263 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmp1_pointer()

__STATIC_INLINE void ll_pkc_set_tmp1_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Tmp1 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG6 | TMP1PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1023 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmp2_pointer()

__STATIC_INLINE void ll_pkc_set_tmp2_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Tmp2 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG7 | TMP2PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1062 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmp3_pointer()

__STATIC_INLINE void ll_pkc_set_tmp3_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Tmp3 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG7 | TMP3PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1101 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmp4_pointer()

__STATIC_INLINE void ll_pkc_set_tmp4_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Tmp4 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG8 | TMP4PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1140 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmp5_pointer()

__STATIC_INLINE void ll_pkc_set_tmp5_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Tmp5 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG8 | TMP5PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1179 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmp6_pointer()

__STATIC_INLINE void ll_pkc_set_tmp6_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter Tmp6 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG9 | TMP6PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1218 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_tmpk_pointer()

__STATIC_INLINE void ll_pkc_set_tmpk_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter TmpK pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG11 | TMPKPTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1413 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_x1_pointer()

__STATIC_INLINE void ll_pkc_set_x1_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter X1 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG10 | X1PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1296 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_set_x2_pointer()

__STATIC_INLINE void ll_pkc_set_x2_pointer | ( | pkc_regs_t * | PKCx,
|  | uint32_t | pointer
| ) |  |

Set PKC parameter X2 pointer in pkc sram.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CONFIG10 | X2PTR | +-------------------—+--------------------------------—+ \endrst

Parameters

  PKCx | PKC instance
  pointer | This parameter is the offset in pkc sram, and the value can between: 0 ~ 0x200

Return values

  None |

Definition at line 1335 of file gr55xx_ll_pkc.h.